Autor Thema: Neue Version?  (Gelesen 328 mal)

hotte

  • Newbie
  • *
  • Beiträge: 30
Neue Version?
« am: Donnerstag, 1. April 2021, 18:41 »
Liebe Leute,

nachdem ich mich nun völlig neu ausgestattet habe (Neuer PC mit Linux Mint 20.1 Cinnamon) habe ich auch das bereitgestellte Frescobaldi (Version 3.0.0) installiert. Diese Version bringt Lilypond 2.20.0 mit. Jetzt gibt es allerdings schon eine stabile 2.22 Variante. Auf der Webseite von Lilypond kann man aber für Linux nur eine Datei namens "lilypond-2.22.0-1.linux-64.sh" runterladen. Das habe ich auch gemacht aber ich bekomme das absolut nicht installiert.
Ist das überhaupt möglich? Oder geht das mit der Mint-Version nicht? Und wenn ja, wie bekomme ich die neue Version in Frescobaldi zum laufen?
Ich bin jetzt nicht ganz blöd aber auch kein Programmier-Profi.
Vielleicht gibt es jemand der mir dabei unter die Arme greifen kann?!
Danke und viele Grüße

hotte

harm6

  • Hero Member
  • *****
  • Beiträge: 912
Antw:Neue Version?
« Antwort #1 am: Freitag, 2. April 2021, 10:57 »
Auf http://lilypond.org/unix.html gibt es zwei Installer für 2.22.0 und auf http://lilypond.org/development.html ebenfalls für 2.23.1
Jeweils für 32- bzw 64-bit Architektur. Wähle die für Dich zutreffende aus. (Falls Du da was falsch machst gibts während der Installation eine Warnung und Du solltest abbrechen und den anderen Installer wählen).

Zum Installieren navigiere im terminal zum Ordner wo der Installer sich befindet.
Dort führe im terminal aus:
sh <installer-name>
Z.B.:
sh lilypond-2.22.0-1.linux-64.sh

Per default wird diese LilyPond-version dann in Deinem home-Verzeichnis installiert.

Es gibt natürlich noch eine Reihe von Zusatzoptionen, aber mir reicht das immer.
Wenn Du mehrere Versionen auf Deinem Rechner haben möchtest, muß man aber etwas mehr Aufwand betreiben.
Falls Du schlichtweg wechseln möchtest empfiehlt es sich die alte Version erstmal zu deinstallieren.
Im terminal mit:
uninstall-lilypond
Ob das auch mit der von Mint gelieferten LilyPond-Version funktioniert weiß ich nicht, ich habe schon seit Ewigkeiten keine angelieferte LilyPond-Version verwendet sondern immer manuell installiert. Und habe zahreiche Versionen auf dem Rechner.
Wie Du Frescobaldi dazu bringst die neue Version zu erkennen, weiß ich nicht. Ich verwende Frscobaldi nicht, da muß jemand anderes was zu sagen.

Gruß,
  Harm

hotte

  • Newbie
  • *
  • Beiträge: 30
Antw:Neue Version?
« Antwort #2 am: Freitag, 2. April 2021, 17:59 »
Danke Harm,
hat geklappt. Konnte die alte Version in Frescobaldi gespeichert lassen. So könnte ich nun zwischen beiden entscheiden (wenn ich wollte).
Irgendwie hatte ich wohl den falschen Ansatz im Terminal.
Alles Gute und frohe Ostern
hotte